Subject: bug#10395: 24.0.92; line-prefix text inherits face properties from the preceding line rather than following text

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Mar 2012 19:11:27 +0200

> From: Chong Yidong <[email-masked]>
> Cc: [email-masked],  Miles Bader <[email-masked]>,  Stefan Monnier <[email-masked]>,  David Edmondson <[email-masked]>
> Date: Thu, 22 Mar 2012 15:32:53 +0800
> 
> Whoops.  Looks like there's a realistic situation in which this pops up,
> and looks bad: Bug#4281.  I committed a fix for that (revno 107654),
> before remembering about the discussion in this thread and the decision
> to leave it alone.
> 
> I guess I could revert the fix.  But first, is there a work-around for
> Bug#4281?  The line prefix applied by org-indent-set-line-properties
> does have an explicit `face' property, but that didn't seem to stop the
> global-hl-line-mode highlighting from leaking into the prefix.

Since you installed this, I suggest to leave it and see if any
problems pop up.